Deepstream 6.3 Secondary Gie

Please provide complete information as applicable to your setup.

**• Hardware Platform (Jetson)
**• DeepStream Version 6.3
**• JetPack Version - # R35 (release), REVISION: 5.0, GCID: 35550185, BOARD: t186ref, EABI: aarch64, DATE: Tue Feb 20 04:46:31 UTC 2024

**• TensorRT Version

glueck@ubuntu:~$ dpkg -l | grep TensorRT
ii graphsurgeon-tf 8.5.2-1+cuda11.4 arm64 GraphSurgeon for TensorRT package
ii libnvinfer-bin 8.5.2-1+cuda11.4 arm64 TensorRT binaries
ii libnvinfer-dev 8.5.2-1+cuda11.4 arm64 TensorRT development libraries and headers
ii libnvinfer-plugin-dev 8.5.2-1+cuda11.4 arm64 TensorRT plugin libraries
ii libnvinfer-plugin8 8.5.2-1+cuda11.4 arm64 TensorRT plugin libraries
ii libnvinfer-samples 8.5.2-1+cuda11.4 all TensorRT samples
ii libnvinfer8 8.5.2-1+cuda11.4 arm64 TensorRT runtime libraries
ii libnvonnxparsers-dev 8.5.2-1+cuda11.4 arm64 TensorRT ONNX libraries
ii libnvonnxparsers8 8.5.2-1+cuda11.4 arm64 TensorRT ONNX libraries
ii libnvparsers-dev 8.5.2-1+cuda11.4 arm64 TensorRT parsers libraries
ii libnvparsers8 8.5.2-1+cuda11.4 arm64 TensorRT parsers libraries
ii onnx-graphsurgeon 8.5.2-1+cuda11.4 arm64 ONNX GraphSurgeon for TensorRT package
ii python3-libnvinfer 8.5.2-1+cuda11.4 arm64 Python 3 bindings for TensorRT
ii python3-libnvinfer-dev 8.5.2-1+cuda11.4 arm64 Python 3 development package for TensorRT
ii tensorrt 8.5.2.2-1+cuda11.4 arm64 Meta package for TensorRT
ii tensorrt-libs 8.5.2.2-1+cuda11.4 arm64 Meta package for TensorRT runtime libraries
ii uff-converter-tf 8.5.2-1+cuda11.4 arm64 UFF converter for TensorRT package

• NVIDIA GPU Driver Version (valid for GPU only)
glueck@ubuntu:~$ cat /proc/driver/nvidia/version
NVRM version: NVIDIA UNIX Open Kernel Module for aarch64 35.5.0 Release Build (buildbrain@mobile-u64-6519-d7000) Mon Feb 19 20:34:12 PST 2024
GCC version: gcc version 9.3.0 (Buildroot 2020.08)

• Issue Type( questions, new requirements, bugs)
The all the secondary gie only reading the first label that is stated in the list but not the others during the run, can someone say why

• How to reproduce the issue ? (This is for bugs. Including which sample app is using, the configuration files content, the command line used and other details for reproducing)

just run the deepstream app -c and the output will tell, we are using webcam to test here,
deepstream_app_source1_peoplenet.txt (5.9 KB)

• Requirement details( This is for new requirement. Including the module name-for which plugin or for which sample application, the function description)

config_infer_primary_facedetectir.txt (2.3 KB)
config_infer_gender_classifier.txt (3.7 KB)
config_infer_emotion_classifier.txt (3.6 KB)
config_infer_age_classifier.txt (3.6 KB)
config_infer_ethnicity_classifier.txt (3.6 KB)

What do you mean the first label that is stated in the list?

neutral
anger
disgust
fear
happy
sadness
surprise
labels.txt (50 Bytes)

this is the labels stated but when we run the camera, only the 1st in the list of each labels.txt is popping up, but not the others, why?

Is it possible that your model only identifie this one label? Our official demo provides a lot of similar scenarios like deepstream-test3. As long as there is no problem with the model, they can all recognize different lable.

sorry for the late reply, i fixed the problem by correcting the label file actually

neutral
anger
disgust
fear
happy
sadness
surprise

its not like this actually,

neutral;anger;disgust;fear;happy;sadness;surprise;

it works fine after this

1 Like

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.